The /e/OS Installer arrives!

Which version stockROM Android 10 do you have on your S9 SM-G960F “starlte”? I need a clear indication of the PDA :

G960FXXU8DTC5 [Security patch 04.2020]
G960FXXS7DTB5 [Security patch 03.2020]
G960FXXS7DTAD [Security patch 02.2020]
G960FXXU7DTAA [Security patch 01.2020]

More Info → Galaxy S9 support

Thanks a lot for your help but I haven’t bought it yet. I’m looking to buy a second hand S9 to try /e/ but I’ll have to wait more if it’s problematic to install /e/ on an up to date S9.

/e/ is not problematic to install if the prerequisites are right. The longer you wait with the purchase of an S9, the greater the chance that you will be offered an S9 with the latest version of stockROM Android 10. Then a downgrade to StockROM Android 9 is no longer possible - because Samsung wants it that way.

Of course the real problem here is samsung’s policies but this is the reality which /e/ has to deal with. The prerequisites to install /e/ on a galaxy S9 are extremely difficult to meet nowadays since /e/'s current version for the S9 is still only android 8.
I won’t buy a S9 now (without knowing if it already has been updated to android 10) and wait months in order for /e/ to eventually make an upgrade to android 9 for the S9.

so buy one with android 9 pie or 8 oréo on it…

I’ve Samsung Galaxy S6 Edge “zeroltexx”, S7 and S7 Edge and wonder why S9 and S9+ but not S8 “dreamlte” (and S8+) isn’t in the potpourri of /e/asy installer.

Exactly, because no Wind°ows user will run the /e/OS Easy Installer in a Linux terminal under Windows, because the latest/beta version 0.8.3-beta 64-bit lacks the usual comfort of Wind°ows Apps and StockROM Android Apps.

And setting up a new Linux system is no fun for the inexperienced → Install /e/ OS Installer on your Linux distribution. The idea /E/asy Installer is great, but the current implementation will not lead to broad success (that’s what the look into my crystal ball tells me ;-/ ).

The first 11 images (animated) of the /e/ OS Installer latest/beta v0.8.3-beta amd64:

Abolutely correct - a function that should not be missing.

I submitted a device suggestion for US version Samsung Note 9 SM-N960U1 Snapdragon today, but I’m curious. Why is the Galaxy S9 and 9+ a compatible device for your OS and not the Note 9? It’s in my device suggestion post, but I found an article on XDA, actually right before I stumbled upon yall today, showing exploits in the Note 9 that makes this possible?

Sorry, I am pretty tech savvy but just not enough to completely grasp all of this to its fullest extent, so pls excuse if this is a silly question…lol

Thank you so much!

Dez

Hi @Dez,
The easiest way for us at /e/ to add a device to the supported list is if it already is there on the LineageOS list. Since /e/ is forked from Lineage the transformation to /e/ code for such LOS supported devices is easy.
Alos users put in requests for devices and the popular one eventually get on the list. We even ported some devices which were not there in LOS’ list just because there was a huge demand for them.
The idea behind the easy-installer was to remove this wait time. All that remains is for someone to modify the easy-installer code and add the note to it.

To be experimented with installations and setup of the famous Macrosoft Operating System, and its supported proprietary drivers and applications, I can affirm that is much more difficult and/or complicate for an inexperimented user than installing and setup a Linux distribution and its stores of alternatives and compatibles drivers and applications. (I don’t know any code or command line language)
Even on a bootable-usb-stick.
And It is also much simpler to discover computer usage by a fully beginner user ( for example a “child or granny” user ) with a Linux Graphic User Interface OS than with a Windobe OS

PS : I am agree with the “3/4 of PC users” argument for a windows installer for the easy/e/OS-installer, we need it !

2 Likes

@Manoj, thank you for your response and explanation. I see, and reviewed the link on LineageOS and phones on which it can be installed. Sadly enough I don’t see any info nor did your response contain this info: when wi the code be inserted into the installer yall built so that i may use the /e/ platform? Or what steps do I need to take to request that? Lastly, will there instructions on model specific boot loading steps needed to use the installer coming from out of the box, unlocked version I have (SM-N960U1)?

Again, much appreciation for your time and I’m really hoping to migrate soon!! :grin:

The easy-installer code is now with the community. Any device addition will have to be done by users on the forum with development experience.
What that also means is except for bugs fixes the /e/ dev team will not be adding any devices or making any enhancements to the code.
The installer already supports 5 Samsung devices. So adding more devices should not be difficult for those with development experience. There are a few users who have already started work on adding devices so the wait should not be long I guess.

1 Like

Ok. Thank you. I guess I will do some more research and maybe do a little posting to reach out and see. Idk. It’s quite possible I may just say to heck with this Samsung Note 9 version and sell it, then get maybe a OnePlus. Have any recommendations on where to obtain maybe a “like new” version at a great price? Lol. I’ve only read one review/article on it the other week on Reddit, but it’s a phone sold primarily overseas in Europe, correct? And quite expensive too I read…

It’s just so unfortunate that as many great attributes the US has, having the right to privacy OR even trying to go about obtaining that privacy by way of hardware needs (phones we can change/customize to get ride of privacy concerns) or then the software needs…I’m realizing the US is QUITE behind the times and slowly marching into the land of captivity, handled like a heard, and the creation of a zombie like country. YIKES! That’s scary and saddening just to type that out…sigh I digress…

3 Likes

a second-hand FairPhone looks like a good candidate…

Haven’t you read the other comments? If so you would know that even with a S9 on android 9 it’s problematic to try to install /e/ andoid 8 on it…
“Buy one with android 8 on it”? And how do you possibly do that in 2020 little genius? Most people update their devices, you know

I don’t think so, basic users are afraid to this

I could be wrong cause English is not my natural language, but I think I have understood :

I think you’d be surprised. It’s a really basic thing to do even for basic users. I could still try to ask though but to obtain a trustworthy answer about that is not easy.


In fact @Popescu , I’m surprised. At the same time, I wonder why you ignore rigeros facts and interpret my information as not “trustworthy answer”.

Of course, you are free to think what you like. But if you trust neither yourself nor others, you have two options: try it out according to the principle of “trial and error” or wait for weeks until all the facts are as you thought and hoped. Since you’ve already decided, there is no need for any further assistance from me.

You didn’t understand my comment. I never said that the informations you were giving were not trustworthy. I was only answering Piero’s comment telling me to buy a S9 from a “basic user that would have been too afraid to update his S9”. So I was only saying that it would be difficult to obtain a trustworthy information about that before actually buying it. It actually surprises me that you took it against you since I’ve been grateful for your explanations.

From my point of view, it appears to be so difficult to have the right conditions to be able to successfully install /e/ android 8 on a S9 stock android 9, needing an exact security patch (an information nearly impossible to obtain from a basic user), that it’s as good as not possible since I don’t feel like playing lottery with that amount of money.

»You didn’t understand my comment.« or your comment is imprecisely formulated and thus leads to misunderstandings. It is a favorite pastime of many people to blame others for their own dissatisfaction. Become active, take responsibility and improve their situation.

The “right prerequisites” to successfully run /e/ Android 8 on an S9 stock Android 9 are given, as countless successful installations prove.

Buy a deGoogled /e/ phone from the e.foundation or a used one from privat with preinstalled /e/ OS and you have no risks when changing the operating system.

Advertise a purchase request in the category Sell / Swap with concrete, clear requirements and how much you are willing to pay for it.

If you are really interested by the /e/project
DON’T WAIT !